Bug 446824 - breeze gtk scroll bar slider width should increase to match the new (qt) breeze theme
Summary: breeze gtk scroll bar slider width should increase to match the new (qt) bree...
Status: RESOLVED FIXED
Alias: None
Product: Breeze
Classification: Plasma
Component: gtk theme (show other bugs)
Version: 5.23.4
Platform: Archlinux Linux
: NOR normal
Target Milestone: ---
Assignee: Janet Blackquill
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-12-11 10:51 UTC by oldherl
Modified: 2022-03-16 18:40 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.25


Attachments
compare gtk and qt slider width (79.27 KB, image/png)
2021-12-11 10:51 UTC, oldherl
Details

Note You need to log in before you can comment on or make changes to this bug.
Description oldherl 2021-12-11 10:51:54 UTC
Created attachment 144447 [details]
compare gtk and qt slider width

SUMMARY
Recently breeze theme (for qt/kde) has increased the width of scroll bar slider. It's easier to locate the mouse pointer to it.
Breeze GTK theme should change to match it.

STEPS TO REPRODUCE
1. Use Breeze GTK theme and KDE theme.
2. Open a GTK app with scroll bar, such as gucharmap (Character Map).
3. Open a KDE app with scroll bar, such as dolphin.

OBSERVED RESULT
The scroll bar slider on GTK is narrower than the one on KDE/Qt. See attached screenshot.

EXPECTED RESULT
The scroll bar slider on GTK should be of the same width as the one on KDE/Qt.

SOFTWARE/OS VERSIONS

Operating System: Arch Linux
KDE Plasma Version: 5.23.4
KDE Frameworks Version: 5.88.0
Qt Version: 5.15.2

ADDITIONAL INFORMATION
Comment 1 Nate Graham 2021-12-14 18:29:50 UTC
Yeah, it's still using the old appearance.
Comment 2 Janet Blackquill 2022-02-11 19:14:52 UTC
https://invent.kde.org/plasma/breeze-gtk/-/merge_requests/39 is updating the scrollbars to the new appearance, which will fix this bug.
Comment 3 Nate Graham 2022-03-16 18:40:24 UTC
Git commit 1c4d3d1c564405977ba1c1b14399a829e0363ae4 by Nate Graham, on behalf of Artem Grinev.
Committed on 16/03/2022 at 18:40.
Pushed by ngraham into branch 'master'.

gtk3, gtk4: implement blue ocean scrollbars

This implements Blue Ocean style for scrollbars. Also makes them look focused
on main content view focus.

Opacity levels were found based on QStyle element final colors as it seems
GTK handles alpha a bit differently.
Related: bug 443919
FIXED-IN: 5.25

M  +11   -2    src/gtk3/applications/_firefox.scss
M  +103  -43   src/gtk3/widgets/_scrollbar.scss
M  +107  -46   src/gtk4/widgets/_scrollbar.scss

https://invent.kde.org/plasma/breeze-gtk/commit/1c4d3d1c564405977ba1c1b14399a829e0363ae4